Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.franz.agbase
Interface ValueSetIterator

All Superinterfaces:
  java.util.Iterator<ValueObject[]>

    public interface ValueSetIterator

extends java.util.Iterator<ValueObject[]>

Iterate over sets of results returned by a query. Each result set is an array of ValueObject instances. Each position in the array normally contains the binding of a named query variable. Some queries may return null values for unbound positions in a result set.

Method Summary
`ValueObject[]` | `get()` Get the current element in the iteration.
`ValueObject` | `get(int i)` Get the i-th sub-element from the current element in the iteration.
`ValueObject` | `get(java.lang.String name)` Get the binding of the named variable in the current result set.
`long` | `getCount()` Get a count or estimate on the number of result sets available from this iterator.
`int` | `getIndex(java.lang.String var)` Get the index of a given variable in the result array.
`java.lang.String[]` | `getNames()` Get the names of the results in each result set.
`ValueObject` | `next(int i)` Step to the next element in the iteration and return the i-th sub-element.
`int` | `width()` Get the number of results in each result set.

Methods inherited from interface java.util.Iterator
`hasNext, next, remove`

Method Detail

### next

    ValueObject next(int i)

  Step to the next element in the iteration and return the i-th sub-element.

  Parameters:
    `i` -
  Returns:
    the triple part

### width

    int width()

  Get the number of results in each result set.

  Returns:
    -1 if the width cannot be determined.

### get

    ValueObject[] get()

  Get the current element in the iteration.

  Returns:
    array of triple parts

### get

    ValueObject get(int i)

  Get the i-th sub-element from the current element in the iteration.

  Parameters:
    `i` -
  Returns:
    the triple part

### getIndex

    int getIndex(java.lang.String var)

  Get the index of a given variable in the result array.

  Parameters:
    `var` - A variable name
  Returns:
    the index or -1 if the the position is unknown. If getNames() returned an array of names, then a -1 indicates that the specified variable is not mentioned in the result set. If getNames() returned null, then the variable names in the result set are not known.

### get

    ValueObject get(java.lang.String name)

  Get the binding of the named variable in the current result set.

  Parameters:
    `name` - A variable name
  Returns:
    the binding, or null if not there.

### getCount

    long getCount()

  Get a count or estimate on the number of result sets available from this iterator.

  Returns:
    a positive integer if the result is an exact count. A negative integer if the result is a lower bound. If a result set is currently available (i.e. get() returns a non-null value) then the count includes the current result.

### getNames

    java.lang.String[] getNames()

  Get the names of the results in each result set.

  Returns:
    an array of names when the names are available, null otherwise. The values in each result set are named in the same order as the names appear in this array.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD